Bug 811325 - VM 8.1.1 is incompatible with Emacs 24
Summary: VM 8.1.1 is incompatible with Emacs 24
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-vm
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-10 17:50 UTC by Göran Uddeborg
Modified: 2012-06-15 12:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-15 12:27:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2012-04-10 17:50:29 UTC
Description of problem:
When trying to use VM with Emacs 24 in F17, I get the warning

vm-mode-internal: Symbol's function definition is void: make-local-hook

Indeed, the NEWS document states that this symbol has been removed and is no longer needed.  The emacs-vm package in F17 needs to be upgraded, either to 8.1.2, or to the 8.2.0 beta.

Version-Release number of selected component (if applicable):
emacs-vm-8.1.1

How reproducible:
Every time

Steps to Reproduce:
1. Start emacs
2. Load vm

Comment 1 Wolfgang Rupprecht 2012-05-30 07:19:14 UTC
I'm seeing the same thing on a newly preupgraded system that went from f16 to f17.  After the upgrade emacs-vm started griping about the above make-local-hook bug. 

Perhaps a newer vm.el from  https://launchpad.net/vm will fix this?

Comment 2 Fedora Update System 2012-05-30 16:21:35 UTC
emacs-vm-8.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-vm-8.1.2-1.fc17

Comment 3 Jonathan Underwood 2012-05-30 16:25:41 UTC
I plan to orphan the emacs-vm package in the near future as I personally don't use it anymore, so can't really test it. If either of you are Fedora packagers, please consider applying for co-maintainership in the Fedora pkgdb. IF you're not Fedora packagers, maybe you'd like to join :).

http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 4 Wolfgang Rupprecht 2012-05-30 18:48:07 UTC
I did the following to update, and vm.el worked as before.  Thanks!  Fixed for me.

yum localupdate http://kojipkgs.fedoraproject.org/packages/emacs-vm/8.1.2/1.fc17/x86_64/emacs-vm-8.1.2-1.fc17.x86_64.rpm

Comment 5 Göran Uddeborg 2012-05-30 20:07:54 UTC
> If either of you are Fedora packagers, please consider applying for co-maintainership

I just did.  At least I think so. :-)  I am a packager, but I've never applied for co-ownership before.  I "added" myself to the package in the package database, and checked all the boxes.  That's what it amounts to, right?

Comment 6 Fedora Update System 2012-06-01 17:11:06 UTC
Package emacs-vm-8.1.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-vm-8.1.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8725/emacs-vm-8.1.2-1.fc17
then log in and leave karma (feedback).

Comment 7 Göran Uddeborg 2012-06-04 12:31:39 UTC
The update fixed the problem for me too.  I've given karma.

Comment 8 Jonathan Underwood 2012-06-05 08:35:04 UTC
Thanks both.

Goran - yes, you now have commit access and acl change access for the package, so you're a co-maintainer. You may want to do the same thing for the emacs-bbdb package.

Comment 9 Fedora Update System 2012-06-15 12:27:06 UTC
emacs-vm-8.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.